Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.util
Class Configuration.Property

    java.lang.Object
      org.apache.slide.util.Configuration.Property

Enclosing class:
  Configuration

public static class Configuration.Property
extends java.lang.Object

Names of properties used in the configuration file.

Field Summary
`static java.lang.String` | `Binding` Property specifying that the binding is enabled.
`static java.lang.String` | `Debug` Property specifying whether to run in debug mode.
`static java.lang.String` | `DomainInitFilename` Property specifying the domain XML initialization file to use.
`static java.lang.String` | `Events` Property specifying if events are enabled.
`static java.lang.String` | `FileName` The name of the configuration file.
`static java.lang.String` | `IntegratedLocking` Property specifying that internal locking checks are enabled.
`static java.lang.String` | `IntegratedSecurity` Property specifying that internal security checking is enabled.
`static java.lang.String` | `PrincipalIdentifiedLocks` Property specifying whether principal-identified locks are supported.
`(package private) static java.lang.String` | `ResourceName`
`static java.lang.String` | `Search` Property specifying that search is enabled.
`static java.lang.String` | `UrlEncoding` Property specifying the encoding for URLs.
`static java.lang.String` | `VersionControl` Property specifying that version control is enabled.

Constructor Summary
`Configuration.Property()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DomainInitFilename

    public static final java.lang.String DomainInitFilename

  Property specifying the domain XML initialization file to use.

       org.apache.slide.domain

  See Also:
    Constant Field Values

### IntegratedSecurity

    public static final java.lang.String IntegratedSecurity

  Property specifying that internal security checking is enabled.

       org.apache.slide.security

  See Also:
    Constant Field Values

### IntegratedLocking

    public static final java.lang.String IntegratedLocking

  Property specifying that internal locking checks are enabled.

       org.apache.slide.lock

  See Also:
    Constant Field Values

### VersionControl

    public static final java.lang.String VersionControl

  Property specifying that version control is enabled.

       org.apache.slide.versioncontrol

  See Also:
    Constant Field Values

### Search

    public static final java.lang.String Search

  Property specifying that search is enabled.

       org.apache.slide.versioncontrol

  See Also:
    Constant Field Values

### Binding

    public static final java.lang.String Binding

  Property specifying that the binding is enabled.

       org.apache.slide.binding

  See Also:
    Constant Field Values

### Events

    public static final java.lang.String Events

  Property specifying if events are enabled.

       org.apache.slide.events

  See Also:
    Constant Field Values

### UrlEncoding

    public static final java.lang.String UrlEncoding

  Property specifying the encoding for URLs.

       org.apache.slide.urlEncoding

  See Also:
    Constant Field Values

### PrincipalIdentifiedLocks

    public static final java.lang.String PrincipalIdentifiedLocks

  Property specifying whether principal-identified locks are supported.

       org.apache.slide.principalIdentifiedLocks

  See Also:
    Constant Field Values

### Debug

    public static final java.lang.String Debug

  Property specifying whether to run in debug mode.

       org.apache.slide.debug

  See Also:
    Constant Field Values

### FileName

    public static final java.lang.String FileName

  The name of the configuration file.

       slide.properties

  See Also:
    Constant Field Values

### ResourceName

    static final java.lang.String ResourceName

See Also:
  Constant Field Values

Constructor Detail

### Configuration.Property

    public Configuration.Property()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD